/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package test.uinfo;

import java.util.List;

import org.dive4elements.artifacts.httpclient.exceptions.ConnectionException;
import org.dive4elements.river.client.shared.exceptions.ServerException;
import org.dive4elements.river.client.shared.model.SalixZone;

import test.AbstractBerechnungsartenTester.River;

/**
 * @author Domenico Nardi Tironi
 *
 */
final class UinfoSalixSupraregionalRunner extends UinfoSalixRunner {

    private final List<SalixZone> supraregionalTable;

    public UinfoSalixSupraregionalRunner(final double from, final double to, final River river, final String scenarioChoice,
            final List<SalixZone> supraRegionalTable) throws ConnectionException, ServerException {
        super(from, to, river, scenarioChoice);
        this.supraregionalTable = supraRegionalTable;
    }

    @Override
    protected void makeScenario() throws ConnectionException, ServerException {
        super.feedAndGoSimpleTextInput("scenario_selection", this.getScenarioChoice());

        super.feedAndGoSimpleTextInput("supraregional_table", SalixZone.parseListToDataString(this.supraregionalTable));

    }

}
